# norootforbuild

%define major     0
%define lib       libopencore-amr
%define libname_amrnb   libopencore-amrnb%{major}
%define libname_amrwb   libopencore-amrwb%{major}

Name:           opencore-amr
Summary:        Adaptive Multi-Rate (AMR) Speech Codec
Summary(de):    Adaptiver Multi-Rate (AMR) Sprachcodec
Version:        0.1.2
Release:        1.2
License:        Apache License, Version 2.0
Group:          System/Libraries
Url:            http://opencore-amr.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/opencore-amr/opencore-amr/%{version}/opencore-amr-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       %{libname_amrnb} = %{version}-%{release}
Requires:       %{libname_amrwb} = %{version}-%{release}
BuildRequires:  glibc-devel
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  pkg-config

%description
Library of OpenCORE Framework implementation of Adaptive Multi Rate
Narrowband and Wideband speech codec.

%description -l de
Bibliothek der OpenCORE Framework Implementierung des Adaptiven
Multi Rate Narrowband und Wideband Sprachcodecs.


%package -n %{libname_amrnb}
Group:          System/Libraries
Summary:        Shared library part of opencore-amr
Summary(de):    Bibliotheken zu opencore-amr
Provides:       %{lib} = %{version}-%{release}

%description -n %{libname_amrnb}
Library of OpenCORE Framework implementation of Adaptive Multi Rate
Narrowband speech codec.


%description -n %{libname_amrnb} -l de
Bibliothek der OpenCORE Framework Implementierung des Adaptiven
Multi Rate Narrowband Sprachcodecs.


%package -n %{libname_amrwb}
Group:          System/Libraries
Summary:        Shared library part of opencore-amr
Summary(de):    Bibliotheken zu opencore-amr
Provides:       %{lib} = %{version}-%{release}

%description -n %{libname_amrwb}
Library of OpenCORE Framework implementation of Adaptive Multi Rate
Wideband speech codec.


%description -n %{libname_amrwb} -l de
Bibliothek der OpenCORE Framework Implementierung des Adaptiven
Multi Rate Wideband Sprachcodecs.


%package -n %{lib}-devel
Summary:        Adaptive Multi-Rate (AMR) Speech Codec Developer Package
Summary(de):    Adaptiver Multi-Rate (AMR) Sprachcodec Entwicklerpaket
Group:          Development/Libraries/C and C++
Requires:       %{libname_amrnb} = %{version}-%{release}
Requires:       %{libname_amrwb} = %{version}-%{release}
Requires:       glibc-devel
Obsoletes:      opencore-amr-devel < %{version}
Provides:       opencore-amr-devel = %{version}

%description -n %{lib}-devel
Library of OpenCORE Framework implementation of Adaptive Multi Rate
Narrowband and Wideband speech codec.
Developer Package.

%description -n %{lib}-devel -l de
Bibliothek der OpenCORE Framework Implementierung des Adaptiven
Multi Rate Narrowband und Wideband Sprachcodecs.
Entwicklerpaket.

%prep
%setup -qn opencore-amr-%{version}

%build
%{configure}
%{__make} %{?jobs:-j%{jobs}}

%install
%{makeinstall}
rm -f %{buildroot}/%{_libdir}/*.{a,la}

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -n %{libname_amrnb} -p /sbin/ldconfig
%post -n %{libname_amrwb} -p /sbin/ldconfig
%postun -n %{libname_amrnb} -p /sbin/ldconfig
%postun -n %{libname_amrwb} -p /sbin/ldconfig


%files -n %{libname_amrnb}
%defattr(-,root,root)
%{_libdir}/libopencore-amrnb.so.%{major}*

%files -n %{libname_amrwb}
%defattr(-,root,root)
%{_libdir}/libopencore-amrwb.so.%{major}*

%files -n %{lib}-devel
%defattr (-, root, root)
%doc opencore/ChangeLog opencore/NOTICE opencore/README
%{_includedir}/opencore-amrnb
%{_includedir}/opencore-amrwb
%{_libdir}/libopencore-amr*.so
%{_libdir}/pkgconfig/opencore-amr*b.pc

%changelog
* Sun Jun 27 2010 ludwig.nussel@gmx.de
- remove .a and .la files
- buildrequire pkg-config
* Sat Sep 19 2009 Manfred.Tremmel@iiv.de
- update to 0.1.2
* Fri Aug 21 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Sat Jul 11 2009 Manfred.Tremmel@iiv.de
- first spec file for packman
